db4o |

# ExtObjectContainer.ReplicationBegin Method

prepares for replication with another com.db4o.ObjectContainer .
An com.db4o.ObjectContainer can only be involved in a replication process with one other com.db4o.ObjectContainer at the same time.
The returned com.db4o.replication.ReplicationProcess interface provides methods to commit and to cancel the replication process.
This ObjectContainer will be "peerA" for the returned ReplicationProcess. The other ObjectContainer will be "peerB".

ReplicationProcess ReplicationBegin(
ObjectContainer peerB,
ReplicationConflictHandler conflictHandler
);

#### Parameters

peerB
  the com.db4o.ObjectContainer to replicate with.
conflictHandler
  the conflict handler for this ReplicationProcess. Conflicts occur whenever com.db4o.replication.ReplicationProcess.Replicate is called with an object that was modified in both ObjectContainers since the last replication run between the two. Upon a conflict the com.db4o.replication.ReplicationConflictHandler.ResolveConflict method will be called in the conflict handler.

#### Return Value

the com.db4o.replication.ReplicationProcess interface for this replication process.

#### See Also

ExtObjectContainer Interface | com.db4o.ext Namespace